version: "3"

services:
  fictief-register-kadaster:
    build:
      context: .
      dockerfile: dev.Dockerfile
    ports:
      - 9030:9030
    environment:
      - SDG_POSTGRES_DSN=postgresql://postgres:postgres@postgres:5432/frk?sslmode=disable
      - SDG_LISTEN_ADDRESS=0.0.0.0:9030
    volumes:
      - ./:/api
    depends_on:
      - postgres

  postgres:
    image: postgres:15-alpine
    environment:
      POSTGRES_USER: postgres
      POSTGRES_PASSWORD: postgres
      POSTGRES_DB: frk
    volumes:
      - postgres-data:/var/lib/postgresql/data

networks:
  default:
    external:
      name: digilab-demo-frk

volumes:
  postgres-data: